﻿ /*
                Credit Card Issuer	Starts With
                American Express	34, 37
                Write to the Amex Buffer and write to the Valid Amex File.
             */
            if ((Row.CCNumber.StartsWith("34")) || (Row.CCNumber.StartsWith("37")))
            {
                AmexBuffer.AddRow();
                AmexBuffer.CCNumber = Row.CCNumber;
                AmexBuffer.FirstName = Row.FirstName;
                AmexBuffer.LastName = Row.LastName;
            }
            /*
                Credit Card Issuer	Starts With
                Visa	            4
                Write to the Visa Buffer and write to the Valid Visa File.
            */
            else if (Row.CCNumber.StartsWith("4"))
            {
                VisaBuffer.AddRow();
                VisaBuffer.CCNumber = Row.CCNumber;
                VisaBuffer.FirstName = Row.FirstName;
                VisaBuffer.LastName = Row.LastName;
            }
            /*
                Credit Card Issuer	Starts With
                MasterCard	        51, 52, 53, 54, 55 
                Write to the MC Buffer and write to the Valid MC File.
            */
            else if ((Row.CCNumber.StartsWith("51")) || (Row.CCNumber.StartsWith("52")) || (Row.CCNumber.StartsWith("53")) ||
                     (Row.CCNumber.StartsWith("54")) || (Row.CCNumber.StartsWith("54")))
            {
                MCBuffer.AddRow();
                MCBuffer.CCNumber = Row.CCNumber;
                MCBuffer.FirstName = Row.FirstName;
                MCBuffer.LastName = Row.LastName;
            }
            // CC Number is not Amex, MC, or Visa so move to Invalid buffer and write to Invalid File.
            else
            {
                InvalidBuffer.AddRow();
                InvalidBuffer.CCNumber = Row.CCNumber;
                InvalidBuffer.FirstName = Row.FirstName;
                InvalidBuffer.LastName = Row.LastName;
            }